#include <stdio.h>

enum farbe { rot, gelb, blau };

main()                 /* implizit: rot = 0, gelb = 1, ... */
{  
   enum farbe farbe;

   farbe = rot;
   if (farbe == blau) farbe = gelb;
   printf("Farbe %s (%d)\n", farbe==rot?"rot":"gelb", farbe);
}
